Bug 255959 - New port: databases/closql Store EIEIO objects using EmacSQL
Summary: New port: databases/closql Store EIEIO objects using EmacSQL
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on: 255958
Blocks: 255962 255963
  Show dependency treegraph
 
Reported: 2021-05-18 00:30 UTC by Yasuhiro Kimura
Modified: 2021-06-02 03:45 UTC (History)
1 user (show)

See Also:


Attachments
Patch file (3.42 KB, patch)
2021-05-18 00:30 UTC, Yasuhiro Kimura
no flags Details | Diff
Updated patch file (3.42 KB, patch)
2021-05-30 21:03 UTC, Yasuhiro Kimura
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yasuhiro Kimura 2021-05-18 00:30:42 UTC
Created attachment 225049 [details]
Patch file

Store uniform EIEIO objects in an EmacSQL database. SQLite is used as backend. This library imposes some restrictions on what kind of objects can be stored; it isn't intended to store arbitrary objects. All objects have to share a common superclass and subclasses cannot add any additional instance slots.
Comment 1 Yasuhiro Kimura 2021-05-30 21:03:10 UTC
Created attachment 225384 [details]
Updated patch file

New version 1.0.5 is released.
Comment 2 commit-hook freebsd_committer 2021-06-02 03:44:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2d55cda1e4cdd5659f39e3462f018f0b09ffa85c

commit 2d55cda1e4cdd5659f39e3462f018f0b09ffa85c
Author:     Yasuhiro Kimura <yasu@utahime.org>
AuthorDate: 2021-06-02 03:44:05 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-02 03:44:05 +0000

    databases/closql: New port: Store EIEIO objects using EmacSQL

    PR:             255959
    Approved by:    lwhsu (mentor)

 databases/Makefile               |  1 +
 databases/closql/Makefile (new)  | 44 ++++++++++++++++++++++++++++++++++++++++
 databases/closql/distinfo (new)  |  3 +++
 databases/closql/pkg-descr (new) |  7 +++++++
 4 files changed, 55 insertions(+)
Comment 3 Guangyuan Yang freebsd_committer 2021-06-02 03:45:20 UTC
Committed, thanks!